//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloCartaPorte
{
    using System;
    using System.Collections.Generic;
    
    public partial class Transporte
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Transporte()
        {
            this.CartaPorte = new HashSet<CartaPorte>();
        }
    
        public int Id { get; set; }
        public string PermisoSCT { get; set; }
        public string NumeroPermisoSCT { get; set; }
        public string Placa { get; set; }
        public string Anio { get; set; }
        public string AseguradoraResponsabilidadCivil { get; set; }
        public string PolizaResponsabilidadCivil { get; set; }
        public string AseguradoraMedioAmbiente { get; set; }
        public string PolizaMedioAmbiente { get; set; }
        public string AseguradoraCarga { get; set; }
        public string PolizaCarga { get; set; }
        public string ValorMateriaPrimaSeguro { get; set; }
        public string SubtipoRemolque { get; set; }
        public string PlacaRemolque { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CartaPorte> CartaPorte { get; set; }
    }
}
